Loading...
Searching...
No Matches
casacore::MSSourceColumns Class Reference
ms package (libcasa_ms) » MeasurementSets_module

More...

`#include <MSSourceColumns.h>`

## Public Member Functions

| MSSourceColumns (const MSSource &msSource)
| Construct from the supplied Table.
| ~MSSourceColumns ()
| The destructor does nothing special.
Bool | isNull () const
| Is this object defined?
ScalarColumn< Int > & | calibrationGroup ()
| Access to required columns.
ScalarColumn< String > & | code ()
ArrayColumn< Double > & | direction ()
ArrayQuantColumn< Double > & | directionQuant ()
ScalarMeasColumn< MDirection > & | directionMeas ()
ScalarColumn< Double > & | interval ()
ScalarQuantColumn< Double > & | intervalQuant ()
ScalarColumn< String > & | name ()
ScalarColumn< Int > & | numLines ()
ArrayColumn< Double > & | properMotion ()
ArrayQuantColumn< Double > & | properMotionQuant ()
ScalarColumn< Int > & | sourceId ()
ScalarColumn< Int > & | spectralWindowId ()
ScalarColumn< Double > & | time ()
ScalarQuantColumn< Double > & | timeQuant ()
ScalarMeasColumn< MEpoch > & | timeMeas ()
ArrayColumn< Double > & | position ()
| Access to optional columns.
ArrayQuantColumn< Double > & | positionQuant ()
ScalarMeasColumn< MPosition > & | positionMeas ()
ScalarColumn< Int > & | pulsarId ()
ArrayColumn< Double > & | restFrequency ()
ArrayQuantColumn< Double > & | restFrequencyQuant ()
ArrayMeasColumn< MFrequency > & | restFrequencyMeas ()
ScalarColumn< TableRecord > & | sourceModel ()
ArrayColumn< Double > & | sysvel ()
ArrayQuantColumn< Double > & | sysvelQuant ()
ArrayMeasColumn< MRadialVelocity > & | sysvelMeas ()
ArrayColumn< String > & | transition ()
const ScalarColumn< Int > & | calibrationGroup () const
| Const access to required columns.
const ScalarColumn< String > & | code () const
const ArrayColumn< Double > & | direction () const
const ArrayQuantColumn< Double > & | directionQuant () const
const ScalarMeasColumn< MDirection > & | directionMeas () const
const ScalarColumn< Double > & | interval () const
const ScalarQuantColumn< Double > & | intervalQuant () const
const ScalarColumn< String > & | name () const
const ScalarColumn< Int > & | numLines () const
const ArrayColumn< Double > & | properMotion () const
const ArrayQuantColumn< Double > & | properMotionQuant () const
const ScalarColumn< Int > & | sourceId () const
const ScalarColumn< Int > & | spectralWindowId () const
const ScalarColumn< Double > & | time () const
const ScalarQuantColumn< Double > & | timeQuant () const
const ScalarMeasColumn< MEpoch > & | timeMeas () const
const ArrayColumn< Double > & | position () const
| Const access to optional columns.
const ArrayQuantColumn< Double > & | positionQuant () const
const ScalarMeasColumn< MPosition > & | positionMeas () const
const ScalarColumn< Int > & | pulsarId () const
const ArrayColumn< Double > & | restFrequency () const
const ArrayQuantColumn< Double > & | restFrequencyQuant () const
const ArrayMeasColumn< MFrequency > & | restFrequencyMeas () const
const ScalarColumn< TableRecord > & | sourceModel () const
const ArrayColumn< Double > & | sysvel () const
const ArrayQuantColumn< Double > & | sysvelQuant () const
const ArrayMeasColumn< MRadialVelocity > & | sysvelMeas () const
const ArrayColumn< String > & | transition () const
rownr_t | nrow () const
| Convenience function that returns the number of rows in any of the columns.
void | setEpochRef (MEpoch::Types ref, Bool tableMustBeEmpty=True)
| set the epoch type for the TIME column.
void | setDirectionRef (MDirection::Types ref)
| set the direction type for the DIRECTION column.
void | setPositionRef (MPosition::Types ref)
| set the position type for the POSITION column.
void | setFrequencyRef (MFrequency::Types ref)
| set the frequency type for the REST_FREQUENCY column.
void | setRadialVelocityRef (MRadialVelocity::Types ref)
| set the radial velocity type for the SYSVEL column.

## Protected Member Functions

| MSSourceColumns ()
void | attach (const MSSource &msSource)

## Private Member Functions

| MSSourceColumns (const MSSourceColumns &)
MSSourceColumns & | operator= (const MSSourceColumns &)
void | attachOptionalCols (const MSSource &msSource)

## Private Attributes

Bool | isNull_p
ScalarColumn< Int > | calibrationGroup_p
ScalarColumn< String > | code_p
ArrayColumn< Double > | direction_p
ScalarColumn< Double > | interval_p
ScalarColumn< String > | name_p
ScalarColumn< Int > | numLines_p
ArrayColumn< Double > | properMotion_p
ScalarColumn< Int > | sourceId_p
ScalarColumn< Int > | spectralWindowId_p
ScalarColumn< Double > | time_p
ArrayColumn< Double > | position_p
ScalarColumn< Int > | pulsarId_p
ArrayColumn< Double > | restFrequency_p
ScalarColumn< TableRecord > | sourceModel_p
ArrayColumn< Double > | sysvel_p
ArrayColumn< String > | transition_p
ScalarMeasColumn< MDirection > | directionMeas_p
ScalarMeasColumn< MEpoch > | timeMeas_p
ScalarMeasColumn< MPosition > | positionMeas_p
ArrayMeasColumn< MFrequency > | restFrequencyMeas_p
ArrayMeasColumn< MRadialVelocity > | sysvelMeas_p
ArrayQuantColumn< Double > | directionQuant_p
ScalarQuantColumn< Double > | intervalQuant_p
ArrayQuantColumn< Double > | properMotionQuant_p
ScalarQuantColumn< Double > | timeQuant_p
ArrayQuantColumn< Double > | positionQuant_p
ArrayQuantColumn< Double > | restFrequencyQuant_p
ArrayQuantColumn< Double > | sysvelQuant_p

## Detailed Description

A class to provide easy access to MSSource columns

### Intended use:

Public interface

### Review Status

Reviewed By:
  Bob Garwood
Date Reviewed:
  1997/02/01

### Prerequisite

- MSSource
- ArrayColumn
- ScalarColumn

### Etymology

MSSourceColumns stands for MeasurementSet Source Table columns.

### Synopsis

This class provides access to the columns in the MSSource Table, it does the declaration of all the Scalar and ArrayColumns with the correct types, so the application programmer doesn't have to worry about getting those right. There is an access function for every predefined column. Access to non-predefined columns will still have to be done with explicit declarations. See MSColumns for an example.

### Motivation

See MSColumns for the motivation.

Definition at line 86 of file MSSourceColumns.h.

## Constructor & Destructor Documentation

## MSSourceColumns() [1/3]

casacore::MSSourceColumns::MSSourceColumns | ( | const MSSource & | msSource | ) |

Construct from the supplied Table.

Referenced by MSSourceColumns(), and operator=().

## ~MSSourceColumns()

casacore::MSSourceColumns::~MSSourceColumns | ( |  | ) |

The destructor does nothing special.

## MSSourceColumns() [2/3]

casacore::MSSourceColumns::MSSourceColumns | ( |  | ) |

protected

## MSSourceColumns() [3/3]

casacore::MSSourceColumns::MSSourceColumns | ( | const MSSourceColumns & |  | ) |

private

References MSSourceColumns().

## Member Function Documentation

## attach()

void casacore::MSSourceColumns::attach | ( | const MSSource & | msSource | ) |

protected

## attachOptionalCols()

void casacore::MSSourceColumns::attachOptionalCols | ( | const MSSource & | msSource | ) |

private

## calibrationGroup() [1/2]

ScalarColumn< Int > & casacore::MSSourceColumns::calibrationGroup | ( |  | ) |

inline

Access to required columns.

Definition at line 100 of file MSSourceColumns.h.

References calibrationGroup_p.

## calibrationGroup() [2/2]

const ScalarColumn< Int > & casacore::MSSourceColumns::calibrationGroup | ( |  | ) | const

inline

Const access to required columns.

Definition at line 137 of file MSSourceColumns.h.

References calibrationGroup_p.

## code() [1/2]

ScalarColumn< String > & casacore::MSSourceColumns::code | ( |  | ) |

inline

Definition at line 101 of file MSSourceColumns.h.

References code_p.

## code() [2/2]

const ScalarColumn< String > & casacore::MSSourceColumns::code | ( |  | ) | const

inline

Definition at line 139 of file MSSourceColumns.h.

References code_p.

## direction() [1/2]

ArrayColumn< Double > & casacore::MSSourceColumns::direction | ( |  | ) |

inline

Definition at line 102 of file MSSourceColumns.h.

References direction_p.

## direction() [2/2]

const ArrayColumn< Double > & casacore::MSSourceColumns::direction | ( |  | ) | const

inline

Definition at line 140 of file MSSourceColumns.h.

References direction_p.

## directionMeas() [1/2]

ScalarMeasColumn< MDirection > & casacore::MSSourceColumns::directionMeas | ( |  | ) |

inline

Definition at line 104 of file MSSourceColumns.h.

References directionMeas_p.

## directionMeas() [2/2]

const ScalarMeasColumn< MDirection > & casacore::MSSourceColumns::directionMeas | ( |  | ) | const

inline

Definition at line 143 of file MSSourceColumns.h.

References directionMeas_p.

## directionQuant() [1/2]

ArrayQuantColumn< Double > & casacore::MSSourceColumns::directionQuant | ( |  | ) |

inline

Definition at line 103 of file MSSourceColumns.h.

References directionQuant_p.

## directionQuant() [2/2]

const ArrayQuantColumn< Double > & casacore::MSSourceColumns::directionQuant | ( |  | ) | const

inline

Definition at line 141 of file MSSourceColumns.h.

References directionQuant_p.

## interval() [1/2]

ScalarColumn< Double > & casacore::MSSourceColumns::interval | ( |  | ) |

inline

Definition at line 105 of file MSSourceColumns.h.

References interval_p.

## interval() [2/2]

const ScalarColumn< Double > & casacore::MSSourceColumns::interval | ( |  | ) | const

inline

Definition at line 145 of file MSSourceColumns.h.

References interval_p.

## intervalQuant() [1/2]

ScalarQuantColumn< Double > & casacore::MSSourceColumns::intervalQuant | ( |  | ) |

inline

Definition at line 106 of file MSSourceColumns.h.

References intervalQuant_p.

## intervalQuant() [2/2]

const ScalarQuantColumn< Double > & casacore::MSSourceColumns::intervalQuant | ( |  | ) | const

inline

Definition at line 146 of file MSSourceColumns.h.

References intervalQuant_p.

## isNull()

Bool casacore::MSSourceColumns::isNull | ( |  | ) | const

inline

Is this object defined?

(MSSource table is optional)

Definition at line 96 of file MSSourceColumns.h.

References isNull_p.

Referenced by nrow().

## name() [1/2]

ScalarColumn< String > & casacore::MSSourceColumns::name | ( |  | ) |

inline

Definition at line 107 of file MSSourceColumns.h.

References name_p.

## name() [2/2]

const ScalarColumn< String > & casacore::MSSourceColumns::name | ( |  | ) | const

inline

Definition at line 148 of file MSSourceColumns.h.

References name_p.

## nrow()

rownr_t casacore::MSSourceColumns::nrow | ( |  | ) | const

inline

Convenience function that returns the number of rows in any of the columns.

Returns zero if the object is null.

Definition at line 185 of file MSSourceColumns.h.

References calibrationGroup_p, and isNull().

## numLines() [1/2]

ScalarColumn< Int > & casacore::MSSourceColumns::numLines | ( |  | ) |

inline

Definition at line 108 of file MSSourceColumns.h.

References numLines_p.

## numLines() [2/2]

const ScalarColumn< Int > & casacore::MSSourceColumns::numLines | ( |  | ) | const

inline

Definition at line 149 of file MSSourceColumns.h.

References numLines_p.

## operator=()

MSSourceColumns & casacore::MSSourceColumns::operator= | ( | const MSSourceColumns & |  | ) |

private

References MSSourceColumns().

## position() [1/2]

ArrayColumn< Double > & casacore::MSSourceColumns::position | ( |  | ) |

inline

Access to optional columns.

Definition at line 120 of file MSSourceColumns.h.

References position_p.

## position() [2/2]

const ArrayColumn< Double > & casacore::MSSourceColumns::position | ( |  | ) | const

inline

Const access to optional columns.

Definition at line 163 of file MSSourceColumns.h.

References position_p.

## positionMeas() [1/2]

ScalarMeasColumn< MPosition > & casacore::MSSourceColumns::positionMeas | ( |  | ) |

inline

Definition at line 122 of file MSSourceColumns.h.

References positionMeas_p.

## positionMeas() [2/2]

const ScalarMeasColumn< MPosition > & casacore::MSSourceColumns::positionMeas | ( |  | ) | const

inline

Definition at line 166 of file MSSourceColumns.h.

References positionMeas_p.

## positionQuant() [1/2]

ArrayQuantColumn< Double > & casacore::MSSourceColumns::positionQuant | ( |  | ) |

inline

Definition at line 121 of file MSSourceColumns.h.

References positionQuant_p.

## positionQuant() [2/2]

const ArrayQuantColumn< Double > & casacore::MSSourceColumns::positionQuant | ( |  | ) | const

inline

Definition at line 164 of file MSSourceColumns.h.

References positionQuant_p.

## properMotion() [1/2]

ArrayColumn< Double > & casacore::MSSourceColumns::properMotion | ( |  | ) |

inline

Definition at line 109 of file MSSourceColumns.h.

References properMotion_p.

## properMotion() [2/2]

const ArrayColumn< Double > & casacore::MSSourceColumns::properMotion | ( |  | ) | const

inline

Definition at line 150 of file MSSourceColumns.h.

References properMotion_p.

## properMotionQuant() [1/2]

ArrayQuantColumn< Double > & casacore::MSSourceColumns::properMotionQuant | ( |  | ) |

inline

Definition at line 110 of file MSSourceColumns.h.

References properMotionQuant_p.

## properMotionQuant() [2/2]

const ArrayQuantColumn< Double > & casacore::MSSourceColumns::properMotionQuant | ( |  | ) | const

inline

Definition at line 151 of file MSSourceColumns.h.

References properMotionQuant_p.

## pulsarId() [1/2]

ScalarColumn< Int > & casacore::MSSourceColumns::pulsarId | ( |  | ) |

inline

Definition at line 123 of file MSSourceColumns.h.

References pulsarId_p.

## pulsarId() [2/2]

const ScalarColumn< Int > & casacore::MSSourceColumns::pulsarId | ( |  | ) | const

inline

Definition at line 168 of file MSSourceColumns.h.

References pulsarId_p.

## restFrequency() [1/2]

ArrayColumn< Double > & casacore::MSSourceColumns::restFrequency | ( |  | ) |

inline

Definition at line 124 of file MSSourceColumns.h.

References restFrequency_p.

## restFrequency() [2/2]

const ArrayColumn< Double > & casacore::MSSourceColumns::restFrequency | ( |  | ) | const

inline

Definition at line 169 of file MSSourceColumns.h.

References restFrequency_p.

## restFrequencyMeas() [1/2]

ArrayMeasColumn< MFrequency > & casacore::MSSourceColumns::restFrequencyMeas | ( |  | ) |

inline

Definition at line 126 of file MSSourceColumns.h.

References restFrequencyMeas_p.

## restFrequencyMeas() [2/2]

const ArrayMeasColumn< MFrequency > & casacore::MSSourceColumns::restFrequencyMeas | ( |  | ) | const

inline

Definition at line 172 of file MSSourceColumns.h.

References restFrequencyMeas_p.

## restFrequencyQuant() [1/2]

ArrayQuantColumn< Double > & casacore::MSSourceColumns::restFrequencyQuant | ( |  | ) |

inline

Definition at line 125 of file MSSourceColumns.h.

References restFrequencyQuant_p.

## restFrequencyQuant() [2/2]

const ArrayQuantColumn< Double > & casacore::MSSourceColumns::restFrequencyQuant | ( |  | ) | const

inline

Definition at line 170 of file MSSourceColumns.h.

References restFrequencyQuant_p.

## setDirectionRef()

void casacore::MSSourceColumns::setDirectionRef | ( | MDirection::Types | ref | ) |

set the direction type for the DIRECTION column.

This can only be done when the table has no rows. Trying to do so at other times will throw an exception.

References casacore::ref().

## setEpochRef()

void casacore::MSSourceColumns::setEpochRef | ( | MEpoch::Types | ref,
|  | Bool | tableMustBeEmpty = True )

set the epoch type for the TIME column.

Tip: In principle this function can only be used if the table is empty, otherwise already written values may thereafter have an incorrect reference, offset, or unit; However, it is possible that part of the table gets written before these values are known; In that case the reference, offset, or units can be set by using a False tableMustBeEmpty argument;

References casacore::ref(), and casacore::True.

## setFrequencyRef()

void casacore::MSSourceColumns::setFrequencyRef | ( | MFrequency::Types | ref | ) |

set the frequency type for the REST_FREQUENCY column.

Does nothing if this column is not defined. This can only be done when the table has no rows. Trying to do so at other times will throw an exception.

References casacore::ref().

## setPositionRef()

void casacore::MSSourceColumns::setPositionRef | ( | MPosition::Types | ref | ) |

set the position type for the POSITION column.

This can only be done when the table has no rows. Trying to do so at other times will throw an exception.

References casacore::ref().

## setRadialVelocityRef()

void casacore::MSSourceColumns::setRadialVelocityRef | ( | MRadialVelocity::Types | ref | ) |

set the radial velocity type for the SYSVEL column.

Does nothing if this column is not defined. This can only be done when the table has no rows. Trying to do so at other times will throw an exception.

References casacore::ref().

## sourceId() [1/2]

ScalarColumn< Int > & casacore::MSSourceColumns::sourceId | ( |  | ) |

inline

Definition at line 111 of file MSSourceColumns.h.

References sourceId_p.

## sourceId() [2/2]

const ScalarColumn< Int > & casacore::MSSourceColumns::sourceId | ( |  | ) | const

inline

Definition at line 153 of file MSSourceColumns.h.

References sourceId_p.

## sourceModel() [1/2]

ScalarColumn< TableRecord > & casacore::MSSourceColumns::sourceModel | ( |  | ) |

inline

Definition at line 128 of file MSSourceColumns.h.

References sourceModel_p.

## sourceModel() [2/2]

const ScalarColumn< TableRecord > & casacore::MSSourceColumns::sourceModel | ( |  | ) | const

inline

Definition at line 174 of file MSSourceColumns.h.

References sourceModel_p.

## spectralWindowId() [1/2]

ScalarColumn< Int > & casacore::MSSourceColumns::spectralWindowId | ( |  | ) |

inline

Definition at line 112 of file MSSourceColumns.h.

References spectralWindowId_p.

## spectralWindowId() [2/2]

const ScalarColumn< Int > & casacore::MSSourceColumns::spectralWindowId | ( |  | ) | const

inline

Definition at line 154 of file MSSourceColumns.h.

References spectralWindowId_p.

## sysvel() [1/2]

ArrayColumn< Double > & casacore::MSSourceColumns::sysvel | ( |  | ) |

inline

Definition at line 129 of file MSSourceColumns.h.

References sysvel_p.

## sysvel() [2/2]

const ArrayColumn< Double > & casacore::MSSourceColumns::sysvel | ( |  | ) | const

inline

Definition at line 176 of file MSSourceColumns.h.

References sysvel_p.

## sysvelMeas() [1/2]

ArrayMeasColumn< MRadialVelocity > & casacore::MSSourceColumns::sysvelMeas | ( |  | ) |

inline

Definition at line 131 of file MSSourceColumns.h.

References sysvelMeas_p.

## sysvelMeas() [2/2]

const ArrayMeasColumn< MRadialVelocity > & casacore::MSSourceColumns::sysvelMeas | ( |  | ) | const

inline

Definition at line 178 of file MSSourceColumns.h.

References sysvelMeas_p.

## sysvelQuant() [1/2]

ArrayQuantColumn< Double > & casacore::MSSourceColumns::sysvelQuant | ( |  | ) |

inline

Definition at line 130 of file MSSourceColumns.h.

References sysvelQuant_p.

## sysvelQuant() [2/2]

const ArrayQuantColumn< Double > & casacore::MSSourceColumns::sysvelQuant | ( |  | ) | const

inline

Definition at line 177 of file MSSourceColumns.h.

References sysvelQuant_p.

## time() [1/2]

ScalarColumn< Double > & casacore::MSSourceColumns::time | ( |  | ) |

inline

Definition at line 113 of file MSSourceColumns.h.

References time_p.

## time() [2/2]

const ScalarColumn< Double > & casacore::MSSourceColumns::time | ( |  | ) | const

inline

Definition at line 156 of file MSSourceColumns.h.

References time_p.

## timeMeas() [1/2]

ScalarMeasColumn< MEpoch > & casacore::MSSourceColumns::timeMeas | ( |  | ) |

inline

Definition at line 115 of file MSSourceColumns.h.

References timeMeas_p.

## timeMeas() [2/2]

const ScalarMeasColumn< MEpoch > & casacore::MSSourceColumns::timeMeas | ( |  | ) | const

inline

Definition at line 158 of file MSSourceColumns.h.

References timeMeas_p.

## timeQuant() [1/2]

ScalarQuantColumn< Double > & casacore::MSSourceColumns::timeQuant | ( |  | ) |

inline

Definition at line 114 of file MSSourceColumns.h.

References timeQuant_p.

## timeQuant() [2/2]

const ScalarQuantColumn< Double > & casacore::MSSourceColumns::timeQuant | ( |  | ) | const

inline

Definition at line 157 of file MSSourceColumns.h.

References timeQuant_p.

## transition() [1/2]

ArrayColumn< String > & casacore::MSSourceColumns::transition | ( |  | ) |

inline

Definition at line 132 of file MSSourceColumns.h.

References transition_p.

## transition() [2/2]

const ArrayColumn< String > & casacore::MSSourceColumns::transition | ( |  | ) | const

inline

Definition at line 180 of file MSSourceColumns.h.

References transition_p.

## Member Data Documentation

## calibrationGroup_p

ScalarColumn<Int> casacore::MSSourceColumns::calibrationGroup_p

private

Definition at line 239 of file MSSourceColumns.h.

Referenced by calibrationGroup(), calibrationGroup(), and nrow().

## code_p

ScalarColumn<String> casacore::MSSourceColumns::code_p

private

Definition at line 240 of file MSSourceColumns.h.

Referenced by code(), and code().

## direction_p

ArrayColumn<Double> casacore::MSSourceColumns::direction_p

private

Definition at line 241 of file MSSourceColumns.h.

Referenced by direction(), and direction().

## directionMeas_p

ScalarMeasColumn<MDirection> casacore::MSSourceColumns::directionMeas_p

private

Definition at line 258 of file MSSourceColumns.h.

Referenced by directionMeas(), and directionMeas().

## directionQuant_p

ArrayQuantColumn<Double> casacore::MSSourceColumns::directionQuant_p

private

Definition at line 266 of file MSSourceColumns.h.

Referenced by directionQuant(), and directionQuant().

## interval_p

ScalarColumn<Double> casacore::MSSourceColumns::interval_p

private

Definition at line 242 of file MSSourceColumns.h.

Referenced by interval(), and interval().

## intervalQuant_p

ScalarQuantColumn<Double> casacore::MSSourceColumns::intervalQuant_p

private

Definition at line 267 of file MSSourceColumns.h.

Referenced by intervalQuant(), and intervalQuant().

## isNull_p

Bool casacore::MSSourceColumns::isNull_p

private

Definition at line 236 of file MSSourceColumns.h.

Referenced by isNull().

## name_p

ScalarColumn<String> casacore::MSSourceColumns::name_p

private

Definition at line 243 of file MSSourceColumns.h.

Referenced by name(), and name().

## numLines_p

ScalarColumn<Int> casacore::MSSourceColumns::numLines_p

private

Definition at line 244 of file MSSourceColumns.h.

Referenced by numLines(), and numLines().

## position_p

ArrayColumn<Double> casacore::MSSourceColumns::position_p

private

Definition at line 250 of file MSSourceColumns.h.

Referenced by position(), and position().

## positionMeas_p

ScalarMeasColumn<MPosition> casacore::MSSourceColumns::positionMeas_p

private

Definition at line 261 of file MSSourceColumns.h.

Referenced by positionMeas(), and positionMeas().

## positionQuant_p

ArrayQuantColumn<Double> casacore::MSSourceColumns::positionQuant_p

private

Definition at line 271 of file MSSourceColumns.h.

Referenced by positionQuant(), and positionQuant().

## properMotion_p

ArrayColumn<Double> casacore::MSSourceColumns::properMotion_p

private

Definition at line 245 of file MSSourceColumns.h.

Referenced by properMotion(), and properMotion().

## properMotionQuant_p

ArrayQuantColumn<Double> casacore::MSSourceColumns::properMotionQuant_p

private

Definition at line 268 of file MSSourceColumns.h.

Referenced by properMotionQuant(), and properMotionQuant().

## pulsarId_p

ScalarColumn<Int> casacore::MSSourceColumns::pulsarId_p

private

Definition at line 251 of file MSSourceColumns.h.

Referenced by pulsarId(), and pulsarId().

## restFrequency_p

ArrayColumn<Double> casacore::MSSourceColumns::restFrequency_p

private

Definition at line 252 of file MSSourceColumns.h.

Referenced by restFrequency(), and restFrequency().

## restFrequencyMeas_p

ArrayMeasColumn<MFrequency> casacore::MSSourceColumns::restFrequencyMeas_p

private

Definition at line 262 of file MSSourceColumns.h.

Referenced by restFrequencyMeas(), and restFrequencyMeas().

## restFrequencyQuant_p

ArrayQuantColumn<Double> casacore::MSSourceColumns::restFrequencyQuant_p

private

Definition at line 272 of file MSSourceColumns.h.

Referenced by restFrequencyQuant(), and restFrequencyQuant().

## sourceId_p

ScalarColumn<Int> casacore::MSSourceColumns::sourceId_p

private

Definition at line 246 of file MSSourceColumns.h.

Referenced by sourceId(), and sourceId().

## sourceModel_p

ScalarColumn<TableRecord> casacore::MSSourceColumns::sourceModel_p

private

Definition at line 253 of file MSSourceColumns.h.

Referenced by sourceModel(), and sourceModel().

## spectralWindowId_p

ScalarColumn<Int> casacore::MSSourceColumns::spectralWindowId_p

private

Definition at line 247 of file MSSourceColumns.h.

Referenced by spectralWindowId(), and spectralWindowId().

## sysvel_p

ArrayColumn<Double> casacore::MSSourceColumns::sysvel_p

private

Definition at line 254 of file MSSourceColumns.h.

Referenced by sysvel(), and sysvel().

## sysvelMeas_p

ArrayMeasColumn<MRadialVelocity> casacore::MSSourceColumns::sysvelMeas_p

private

Definition at line 263 of file MSSourceColumns.h.

Referenced by sysvelMeas(), and sysvelMeas().

## sysvelQuant_p

ArrayQuantColumn<Double> casacore::MSSourceColumns::sysvelQuant_p

private

Definition at line 273 of file MSSourceColumns.h.

Referenced by sysvelQuant(), and sysvelQuant().

## time_p

ScalarColumn<Double> casacore::MSSourceColumns::time_p

private

Definition at line 248 of file MSSourceColumns.h.

Referenced by time(), and time().

## timeMeas_p

ScalarMeasColumn<MEpoch> casacore::MSSourceColumns::timeMeas_p

private

Definition at line 259 of file MSSourceColumns.h.

Referenced by timeMeas(), and timeMeas().

## timeQuant_p

ScalarQuantColumn<Double> casacore::MSSourceColumns::timeQuant_p

private

Definition at line 269 of file MSSourceColumns.h.

Referenced by timeQuant(), and timeQuant().

## transition_p

ArrayColumn<String> casacore::MSSourceColumns::transition_p

private

Definition at line 255 of file MSSourceColumns.h.

Referenced by transition(), and transition().

The documentation for this class was generated from the following file:

- ms/MeasurementSets/MSSourceColumns.h